GermEval2014NameSampleStream.NerLayer (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats, class: GermEval2014NameSampleStream, enum: NerLayer

Package opennlp.tools.formats

# Enum Class GermEval2014NameSampleStream.NerLayer

java.lang.Object
java.lang.Enum<GermEval2014NameSampleStream.NerLayer>
opennlp.tools.formats.GermEval2014NameSampleStream.NerLayer

All Implemented Interfaces:
  `Serializable`, `Comparable<GermEval2014NameSampleStream.NerLayer>`, `Constable`

Enclosing class:
  `GermEval2014NameSampleStream`

public static enum GermEval2014NameSampleStream.NerLayer extends Enum<GermEval2014NameSampleStream.NerLayer>
Selects which NER annotation layer to read from the GermEval 2014 data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INNER`
  The nested/embedded named entity annotations (column 4).
  `OUTER`
  The outer (top-level) named entity annotations (column 3).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GermEval2014NameSampleStream.NerLayer`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GermEval2014NameSampleStream.NerLayer[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OUTER

    public static final GermEval2014NameSampleStream.NerLayer OUTER
    The outer (top-level) named entity annotations (column 3).

  - ### INNER

    public static final GermEval2014NameSampleStream.NerLayer INNER
    The nested/embedded named entity annotations (column 4).

- ## Method Details

  - ### values

    public static GermEval2014NameSampleStream.NerLayer[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GermEval2014NameSampleStream.NerLayer valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null